pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: libwnck fails due to libxcb

On Tue, 01 Dec 2009 09:43:52 +0900, Greg Troxel <> 

I added x11/libxcb bl3 to libwnck's Makefile, but then got this - I have
X11_TYPE=modular, so I wonder if there is something wrong in mk/
somewhere about xcb?  Can anyone else build libwnck?  With

===> Patching for libwnck-2.28.0
===> Creating toolchain wrappers for libwnck-2.28.0
ERROR: xcb-util>=0.3.3 is not installed; can't buildlink files.
*** Error code 1

make: stopped in /usr/ANONCVS/pkgsrc/devel/libwnck
*** Error code 1

make: stopped in /usr/ANONCVS/pkgsrc/devel/libwnck

It's true that xcb-util is not installed.  But I don't see what requires
that, and why it's failing.

I see... it probably came from update of x11/startup-notification to 0.10,
and you have startup-notification<0.10.

 From commit log:
  Changes since 0.9:
   - Add XCB backend

But the changes at the commit are not sufficient.

1. need to bump BUILDLINK_ABI_DEPENDS.startup-notification in to 
2. need to recursive revision bump for related packages.

"Of course I love NetBSD":-)
OBATA Akio /

Home | Main Index | Thread Index | Old Index